﻿# coding: utf-8
'''
'''

import json

from ru.curs.celesta.showcase.utils import XMLJSONConverter
from common.htmlhints.htmlHint import htmlHintElement
from gridsettings.functions.gridSettings import toolbar_button_panel

def datapanel(context, main=None, session=None):

    data = {
        'datapanel': {
            'tab': []
        }
    }

    tab1 = {
        '@id': 1,
        '@name': u'Перечень программ',
        'element': []
    }

    dpppkCyclesFilter = {
        '@id': 'dpppkFilter',
        '@type': 'xforms',
        '@proc': 'medstaff.xform.dpppkCyclesFilter.cardData.celesta',
        '@template':'cycleFilter.xml',
        '@hideOnLoad':'true',
        '@neverShowInPanel':'true',
        'proc': {
            '@id':'save',
            '@name':'medstaff.xform.dpppkCyclesFilter.cardSave.celesta',
            '@type':'SAVE'
        }
    }

#     cycleInfoCard = {
#         '@id': 'cycleInfoCard',
#         '@type': 'xforms',
#         '@proc': 'medstaff.xform.cycleInfoCard.cardData.celesta',
#         '@template':'cycleInfoCard.xml',
#         '@hideOnLoad':'true',
#         "related":
#            [{"@id":'dpppkCyclesCatalogGrid'}]
# 
#     }
    
    courseInfoCard = {
        '@id': 'courseCard',
        '@type': 'xforms',
        '@proc': 'edu.xform.courseCard.cardData.celesta',
        '@template': 'edu/courseCardInfo.xml',
        '@hideOnLoad': 'true',
        'related': {
            '@id': 'dpppkCyclesCatalogGrid'
        }
    }
   
    dpppkCyclesCatalogGrid = {"@id": 'dpppkCyclesCatalogGrid',
                 "@type":"grid",
                 "@subtype":"JS_PAGE_GRID",
                 "@plugin": "pageDGrid",
                 "@proc":"medstaff.grid.dpppkCyclesCatalogGrid.gridData.celesta",
                 "proc":
                    [{"@id":'dpppkCyclesCatalogGridToolBar',
                      "@name":"medstaff.grid.dpppkCyclesCatalogGrid.gridToolBar.celesta",
                      "@type":"TOOLBAR"
                      },
                     
                    {"@id":'dpppkCyclesCatalogGridMeta',
                    "@name":'medstaff.grid.dpppkCyclesCatalogGrid.gridMeta.celesta',
                    "@type": 'METADATA'
                    }
                    ]
                 }

    eduOrgInfoCard = {
        '@id': 'eduOrgInfoCard',
        '@type': 'xforms',
        '@proc': 'nci.xform.eduOrganizationCard.cardData.celesta',
        '@template':'nci/eduOrganizationInfoCard.xml',
        '@hideOnLoad':'true',
        "related":
           [{"@id":'dpppkCyclesCatalogGrid'}]

    }

    
    downloadCertificateCard = {
        '@id': 'downloadCertificateCard',
        '@type': 'xforms',
        '@proc': 'medstaff.xform.downloadCertificateCard.cardData.celesta',
        '@template': 'downloadCertificateCard.xml',
        '@hideOnLoad': 'true',
        'proc': {
            '@id': 'save',
            '@name': 'medstaff.xform.downloadCertificateCard.cardDataSave.celesta',
            '@type': 'SAVE'
        },
        'related': {
            '@id': 'dpppkCyclesCatalogGrid'
        }
    }
     
    tab1['element'].append(htmlHintElement('medstaff_cycles'))
    tab1['element'].append(eduOrgInfoCard)
    tab1['element'].append(courseInfoCard)
    tab1['element'].append(toolbar_button_panel())
    tab1['element'].append(dpppkCyclesFilter)
    tab1['element'].append(dpppkCyclesCatalogGrid)
    tab1['element'].append(downloadCertificateCard)
    data['datapanel']['tab'].extend([tab1])

    return XMLJSONConverter.jsonToXml(json.dumps(data))
