# coding: utf-8
import sys

import ru.curs.celesta.CallContext as CallContext
import ru.curs.celesta.Celesta as Celesta
import ru.curs.celesta.ConnectionPool as ConnectionPool
import ru.curs.celesta.SessionContext as SessionContext


# 1. При запуске из Eclipse надо обеспечить, чтобы первый вызов,
# инициализирующий Celesta, был бы именно getDebugInstane(), а не getInstance()
Celesta.getDebugInstance()
conn = ConnectionPool.get()
sesContext = SessionContext('super', 'testsession')
context = CallContext(conn, sesContext)

# 2. Этот блок должен идти до выражений import, импортирующих отлаживаемые гранулы!!
sys.modules['initcontext'] = lambda: context

# Тут вы импортируете свои модули!
from common.navigator import standardNavigator
try:
    def proc1(context):
        standardNavigator(context, '''{"sessioncontext":{"sid":"subject-19-ykNJJAnF","userdata":"default","phone":"","username":"medstaff","fullusername":"medstaff","email":"","login":"subject-19-ykNJJAnF","sessionid":"34CC7CEA62AAB9F541FA92D3C2BB68BA","related":"","ip":"0:0:0:0:0:0:0:1"}}''')
    proc1(context)
    print u"успех"
except:
    conn.rollback()
    raise
finally:
    # ВСЕГДА ЗАКРЫВАЕМ КУРСОРЫ!!
    context.closeCursors()
    # ВСЕГДА ВОЗВРАЩАЕМ СОЕДИНЕНИЕ В ПУЛ!!
    ConnectionPool.putBack(conn)